'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utilsBorder = require('./utils/border');

var _utilsBorder2 = _interopRequireDefault(_utilsBorder);

var _utilsFont = require('./utils/font');

var _utilsFont2 = _interopRequireDefault(_utilsFont);

var Box = function Box(props) {

	var style = {};

	//font
	var fontStyle = {};
	(0, _utilsFont2['default'])(fontStyle, props.font);

	//border
	(0, _utilsBorder2['default'])(style, props.border);

	//size
	if (props.height) style.height = props.height;
	if (props.width) style.width = props.width;
	if (props.minHeight) style.minHeight = props.minHeight;
	if (props.minWidth) style.minWidth = props.minWidth;

	style.objectFit = props.objectFit || 'fill';
	if (props.clipPath) {
		style.clipPath = props.clipPath;
		style.WebkitClipPath = props.clipPath;
		style.WebkitClipPath = props.clipPath;
	}

	return _react2['default'].createElement(
		'article',
		{ className: 'caption' },
		_react2['default'].createElement('img', { style: style, className: 'caption__media', src: props.url }),
		_react2['default'].createElement(
			'div',
			{ style: fontStyle, className: 'caption__overlay' },
			_react2['default'].createElement(
				'h1',
				{ className: 'caption__overlay__title' },
				props.caption
			),
			_react2['default'].createElement('p', { className: 'caption__overlay__content', dangerouslySetInnerHTML: { __html: props.description } })
		)
	);
};
var DEFAULT_IMAGE_URL = "data:image/gif;base64,R0lGODlhAQABAIAAAHd3dwAAACH5BAAAAAAALAAAAAABAAEAAAICRAEAOw==";
Box.defaultProps = { minHeight: 100, minWidth: 150, url: DEFAULT_IMAGE_URL, caption: "title", description: "type your description" };
exports['default'] = Box;
module.exports = exports['default'];